#define XERR
#include "ordertxt.ih"

bool OrderTxt::inspectHdr(ConstIterVectIter *hdrIter, bool sawHdr, 
                ConstIterVectIter const &iter,
                ConstIterVectIter const &end) const
{
    if (*hdrIter == end)
        *hdrIter = iter;

    if (*hdrIter != iter)
    {
        if (not sawHdr)
            errIdx((*iter)->idx) << 
                    "the header file must be first\n";
        else
            errIdx((*iter)->idx) << 
                    "multiple header files not supported\n";
    }
    return true;
}
